Batch Get Holdings
POST
/api/v1/wallets/batch/holdings
const url = 'https://api.qeychain.xyz/api/v1/wallets/batch/holdings';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"addresses":["example"],"options":{}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.qeychain.xyz/api/v1/wallets/batch/holdings \ --header 'Content-Type: application/json' \ --data '{ "addresses": [ "example" ], "options": {} }'Get holdings for multiple wallet addresses in a single request.
Maximum 100 addresses per request.
Returns:
- Per-address holdings data
- Aggregated holdings across all addresses
- List of any addresses that failed
Request Bodyrequired
Section titled “Request Bodyrequired”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Response Batch Get Holdings Api V1 Wallets Batch Holdings Post
object
key
additional properties
any
Examplegenerated
{}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}